MASON_GENOME(1)

NAME
mason_genome - Random Genome Simulation

SYNOPSIS
mason_genome [OPTIONS] [-l LEN]+ -o OUT.fa

DESCRIPTION
Simulate a random genome to the output file. For each -l/--contig-length entry, a contig with the given length will be simulated.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

-q, --quiet
    Set verbosity to a minimum.

-v, --verbose
    Enable verbose output.

-vv, --very-verbose
    Enable very verbose output.

  Simulation Configuration:

-l, --contig-length List of INTEGER's
    Length of the contig to simulate. Give one -l value for each contig to simulate. In range [1..inf].

-s, --seed INTEGER
    The seed to use for the random number generator. Default: 0.

  Output Options:

-o, --out-file OUTPUT_FILE
    Output file. Valid filetypes are: .sam[.*], .raw[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

EXAMPLES

mason_genome -l 1000 -l 4000 -o genome.fa
    Simulate a genome with two contigs of lengths 1000 and 4000 and write it to genome.fa.